/* This file is part of I.S.A.A.C.S.

   I.S.A.A.C.S. is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

    I.S.A.A.C.S. is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with I.S.A.A.C.S.  If not, see <http://www.gnu.org/licenses/>. */

#include <gtk/gtk.h>

unsigned int StringLength (char *str);
void free_data ();
void quit_gtk ();
void show_Help ();
void show_ProjectSettings ();
G_MODULE_EXPORT void hide_ProjectSettings ();
G_MODULE_EXPORT void on_New_activate ();
G_MODULE_EXPORT void on_Open_activate ();
G_MODULE_EXPORT void on_Save_activate ();
G_MODULE_EXPORT void on_Export_activate ();
G_MODULE_EXPORT void on_Quit_activate ();
G_MODULE_EXPORT void on_FileType_changed (GtkComboBox *ComboBoxGtk);
G_MODULE_EXPORT void on_CoordFileChooser_file_set (GtkFileChooser *CoordFileChooser);
void open_file (int * ftype);
G_MODULE_EXPORT void on_ProjHelp_activate (GtkNotebook *notebook);
G_MODULE_EXPORT void on_RunHelp_activate (GtkNotebook *notebook);
G_MODULE_EXPORT void on_OpenConfigurationSettings_activate (GtkNotebook *notebook);
G_MODULE_EXPORT void on_OpenChemicalSettings_activate (GtkNotebook *notebook);
G_MODULE_EXPORT void on_OpenBoxSettings_activate (GtkNotebook *notebook);
void initviewspec_ (int * nspc);
void specdata_ (int * ind, int * atd, char * lbel, char * el_nme,
               double * scattlgth, double * xscattlgth, double * amss, double * rdus);
void display_spec_ ();
G_MODULE_EXPORT void on_Species_get (GtkComboBox *ComboBoxGtk);
void show_spec_info (int * spi);
G_MODULE_EXPORT void on_radtype_changed (GtkComboBox *RadCombo);
G_MODULE_EXPORT void on_Mass_activate ();
G_MODULE_EXPORT void on_Rad_activate ();
G_MODULE_EXPORT void on_Scatt_activate ();
G_MODULE_EXPORT void on_XScatt_activate ();
void activate_PBC ();
G_MODULE_EXPORT void on_CheckPBC_toggled (GtkToggleButton *Button);
G_MODULE_EXPORT void on_Frac_toggled (GtkToggleButton *Button);
G_MODULE_EXPORT void on_combofrac_changed (GtkComboBox *ComboBoxGtk);
G_MODULE_EXPORT void on_ax_activate ();
G_MODULE_EXPORT void on_ay_activate ();
G_MODULE_EXPORT void on_az_activate ();
G_MODULE_EXPORT void on_bx_activate ();
G_MODULE_EXPORT void on_by_activate ();
G_MODULE_EXPORT void on_bz_activate ();
G_MODULE_EXPORT void on_cx_activate ();
G_MODULE_EXPORT void on_cy_activate ();
G_MODULE_EXPORT void on_cz_activate ();
G_MODULE_EXPORT void on_moda_activate ();
G_MODULE_EXPORT void on_modb_activate ();
G_MODULE_EXPORT void on_modc_activate ();
G_MODULE_EXPORT void on_alpha_activate ();
G_MODULE_EXPORT void on_beta_activate ();
G_MODULE_EXPORT void on_gamma_activate ();
gboolean testpbc ();
void display_distances ();
G_MODULE_EXPORT void on_Apply_project_released ();
G_MODULE_EXPORT void on_rdf_activate ();
G_MODULE_EXPORT void on_sqfftrdf_activate ();
G_MODULE_EXPORT void on_sqkpoints_activate ();
G_MODULE_EXPORT void on_Bonds_activate ();
G_MODULE_EXPORT void on_Angles_activate ();
G_MODULE_EXPORT void on_Rings_activate ();
G_MODULE_EXPORT void on_Spheric_activate ();
G_MODULE_EXPORT void on_Valence_activate ();
G_MODULE_EXPORT void on_Msd_activate ();
G_MODULE_EXPORT void on_GrHelp_released (GtkNotebook *notebook);
G_MODULE_EXPORT void on_SqHelp_released (GtkNotebook *notebook);
G_MODULE_EXPORT void on_SkHelp_released (GtkNotebook *notebook);
G_MODULE_EXPORT void on_BdHelp_released (GtkNotebook *notebook);
G_MODULE_EXPORT void on_AnHelp_released (GtkNotebook *notebook);
G_MODULE_EXPORT void on_RiHelp_released (GtkNotebook *notebook);
G_MODULE_EXPORT void on_SpHelp_released (GtkNotebook *notebook);
G_MODULE_EXPORT void on_BvHelp_released (GtkNotebook *notebook);
G_MODULE_EXPORT void on_MsdHelp_released (GtkNotebook *notebook);
