/* This file is part of I.S.A.A.C.S.

   I.S.A.A.C.S. is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

    I.S.A.A.C.S. is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with I.S.A.A.C.S.  If not, see <http://www.gnu.org/licenses/>. */

#include <gtk/gtk.h>

extern int nspec;

G_MODULE_EXPORT void create_aboutdialog (void);

void show_info (char * information);
void show_info_ (double * valdij);
GtkWidget * show_pop (char * pop, GtkWidget * pwin);
GtkWidget * show_popup (char * popup, GtkWidget * pwin);
void show_warning (char * error);
void show_warning_ (char * warning, char * sub, char * tab);
void show_error (char * error);
void show_error_ (char * error, char * sub, char * tab);

G_MODULE_EXPORT void show_question (GtkWidget *widget);

void initcombospec_ ();
void initview_ (int * natomes, int * nspc, int * steps);

void cheminfo_ (int prop[nspec], double * volume, double * density,
                                 double * fvolume, double * ecfvolume);

void display_cheminfo_ (int * s, int * ns, int * is, double * xs, double * vs);

void turnactions (int * val, int * gsv);
void turnchecks (int * val);
void initcwidgets ();
void initbonds();

void setprogress_ (gdouble * prog);
void setcalcs (int * status);

int iask (char * question);
char * cask (char * question);
