/* This file is part of I.S.A.A.C.S.

   I.S.A.A.C.S. is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

    I.S.A.A.C.S. is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with I.S.A.A.C.S.  If not, see <http://www.gnu.org/licenses/>. */

#include <gtk/gtk.h>
#include <libxml/encoding.h>
#include <libxml/xmlwriter.h>
#include <libxml/xmlreader.h>
#include <libxml/parser.h>

int strfind (int * ida);
int XmlwriterFilename (const char *uri);
int write_xml (const char * filetosave);
gboolean file_exists(const char * filename);
xmlNodePtr findnode (xmlNodePtr startnode, char * nname);
int setprop (xmlNodePtr pnode);
int testopening (char * tdata, char * tfichier);
int setchemistry (xmlNodePtr xsnode);
int setbox (xmlNodePtr boxnode);
int setpbc (xmlNodePtr pbcnode);
int setcutoffs (xmlNodePtr cutnode);
int settime(xmlNodePtr timenode);

int check_xml (const char * filetocheck);
int open_xml (const char * filetoread);
